libzypp 17.37.10

zyppng::RepoCollector Struct Reference

Simple callback to collect the results. More...

`#include <zypp/ng/repomanager.h>`

Inheritance diagram for zyppng::RepoCollector:

## Public Member Functions
| RepoCollector ()
| RepoCollector (std::string targetDistro_)
bool | collect (const RepoInfo &repo)

## Public Attributes
RepoInfoList | repos
std::string | targetDistro

## Detailed Description

Simple callback to collect the results.

Classes like RepoFileReader call the callback once per each repo in a file.

Passing this functor as callback, you can collect all results at the end, without dealing with async code.

If targetDistro is set, all repos with non-empty RepoInfo::targetDistribution() will be skipped.

Todo
  do this through a separate filter

Definition at line 134 of file repomanager.h.

## Constructor & Destructor Documentation

## ◆ RepoCollector() [1/2]

zyppng::RepoCollector::RepoCollector | ( |  | ) |
| inline

Definition at line 136 of file repomanager.h.

## ◆ RepoCollector() [2/2]

zyppng::RepoCollector::RepoCollector | ( | std::string | targetDistro_ | ) |
| inline

Definition at line 139 of file repomanager.h.

## Member Function Documentation

## ◆ collect()

bool zyppng::RepoCollector::collect | ( | const RepoInfo & | repo | ) |

Definition at line 148 of file repomanager.cc.

## Member Data Documentation

## ◆ repos

RepoInfoList zyppng::RepoCollector::repos

Definition at line 145 of file repomanager.h.

## ◆ targetDistro

std::string zyppng::RepoCollector::targetDistro

Definition at line 146 of file repomanager.h.

The documentation for this struct was generated from the following files:

- zypp/ng/repomanager.h
- zypp/ng/repomanager.cc